Create a utilization target period
curl --request POST \
--url https://www.ruddr.io/api/workspace/utilization-target-periods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2023-12-25",
"memberId": "<string>",
"targetPercentage": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/utilization-target-periods"
payload = {
"start": "2023-12-25",
"memberId": "<string>",
"targetPercentage": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2023-12-25', memberId: '<string>', targetPercentage: 123})
};
fetch('https://www.ruddr.io/api/workspace/utilization-target-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/utilization-target-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start' => '2023-12-25',
'memberId' => '<string>',
'targetPercentage' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/utilization-target-periods"
payload := strings.NewReader("{\n \"start\": \"2023-12-25\",\n \"memberId\": \"<string>\",\n \"targetPercentage\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/utilization-target-periods")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start\": \"2023-12-25\",\n \"memberId\": \"<string>\",\n \"targetPercentage\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/utilization-target-periods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": \"2023-12-25\",\n \"memberId\": \"<string>\",\n \"targetPercentage\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "4a9f2c67-e831-4d05-b7a2-91c6e3d80f52",
"start": "2026-07-01",
"targetPercentage": 75,
"createdAt": "2026-06-28T14:05:33.891Z",
"isDefault": false,
"end": "2026-12-31"
}Utilization Target Periods
Create a utilization target period
POST
/
utilization-target-periods
Create a utilization target period
curl --request POST \
--url https://www.ruddr.io/api/workspace/utilization-target-periods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2023-12-25",
"memberId": "<string>",
"targetPercentage": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/utilization-target-periods"
payload = {
"start": "2023-12-25",
"memberId": "<string>",
"targetPercentage": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2023-12-25', memberId: '<string>', targetPercentage: 123})
};
fetch('https://www.ruddr.io/api/workspace/utilization-target-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/utilization-target-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start' => '2023-12-25',
'memberId' => '<string>',
'targetPercentage' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/utilization-target-periods"
payload := strings.NewReader("{\n \"start\": \"2023-12-25\",\n \"memberId\": \"<string>\",\n \"targetPercentage\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/utilization-target-periods")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start\": \"2023-12-25\",\n \"memberId\": \"<string>\",\n \"targetPercentage\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/utilization-target-periods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": \"2023-12-25\",\n \"memberId\": \"<string>\",\n \"targetPercentage\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "4a9f2c67-e831-4d05-b7a2-91c6e3d80f52",
"start": "2026-07-01",
"targetPercentage": 75,
"createdAt": "2026-06-28T14:05:33.891Z",
"isDefault": false,
"end": "2026-12-31"
}A period defining a member’s billable utilization targets.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
The unique identifier for the object.
The start date for the period. Will be in the form YYYY-MM-DD.
The target billable utilization percentage for this period.
The timestamp when the object was created.
Whether this is the default utilization target period for the member.
The end date for the period. Will be in the form YYYY-MM-DD. null if the period has no end date.